## dtkgui 5.2.2.4

=== debian/changelog ===
dtkgui (5.2.2.4-2) unstable; urgency=medium

  * debian/patches:
    + Use detected pkg-config to fix cross build (Closes: #979451).
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Tue, 12 Jan 2021 00:21:00 +0545

dtkgui (5.2.2.4-1) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: Bump Standards-Version to 4.5.1.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Sun, 29 Nov 2020 00:25:26 +0545

dtkgui (5.2.2.4-1~exp1) experimental; urgency=medium

  [ Hu Feng ]
  * New upstream release 5.2.2.4.
  * debian/control:
    + Remove Build-Depends libqt5x11extras5-dev
  * debian/libdtkgui5.shlibs
    + Change libdtkgui 5 libdtkgui5 (>= 5.2.2.4)

  [ Arun Kumar Pariyar ]
  * debian/copyright:
    + Update copyright info from GPL-3+ to LGPL-3+
  * debian/control:
    + Update section for -bin and -dev binary packages.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Mon, 02 Nov 2020 02:36:02 +0545

dtkgui (5.2.2.1-1~exp1) experimental; urgency=medium

  * New upstream release 5.2.2.1.
  * debian/patches:
    + Remove dbus-policy-excessively-broad (already patched upstream).

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Sun, 12 Jul 2020 15:15:10 +0545

dtkgui (5.2.0-1~exp1) experimental; urgency=medium

  * New upstream release 5.2.0.
  * debian/patches:
    + Fix for lintian dbus-policy-excessively-broad error

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Wed, 20 May 2020 02:59:37 +0545
