=== debian/control ===
Source: dtkgui
Section: libs
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
 Arun Kumar Pariyar <openarungeek@gmail.com>,
 Hu Feng <hufeng@uniontech.com>,
Build-Depends:
 debhelper-compat (= 13),
 libdtkcore-dev (>= 5.0.0),
 librsvg2-dev,
 pkg-config,
 qtbase5-dev-tools,
 qtbase5-private-dev,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/linuxdeepin/dtkgui
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtkgui.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtkgui

Package: libdtkgui-dev
Architecture: any
Section: libdevel
Depends:
 libdtkgui5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Deepin Tool Kit Gui library (development files)
 DtkGui provides the base devel library of Deepin Qt/C++
 applications.
 .
 This package provides the library development files.
 .
 This package is part of DDE (Deepin Desktop Environment).

Package: libdtkgui5
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Deepin Tool Kit Gui library
 DtkGui provides the base devel library of Deepin Qt/C++
 applications.
 .
 This package provides the shared library files.
 .
 This package is part of DDE (Deepin Desktop Environment).

Package: libdtkgui5-bin
Section: utils
Architecture: any
Depends:
 libdtkgui5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Deepin Tool Kit Gui utilities
 DtkGui provides the base devel library of Deepin Qt/C++
 applications.
 .
 This package provides the utilities of DtkGui.
 .
 This package is part of DDE (Deepin Desktop Environment).
