## dtkgui 5.4.13

=== debian/changelog ===
dtkgui (5.4.13-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 25 Mar 2021 17:26:25 +0800

dtkgui (5.0.0) unstable; urgency=medium

  * Release 5.0.0

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 03 Sep 2019 08:59:03 +0800

dtkgui (1.0.0-1) unstable; urgency=medium

  * Initial release 

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 29 Jul 2019 16:58:07 +0800
