## dtkgui 5.5.21

=== debian/changelog ===
dtkgui (5.5.21-1build1) jammy; urgency=medium

  * No-change rebuild against Qt 5.15.3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 17 Mar 2022 18:36:01 +0300

dtkgui (5.5.21-1) unstable; urgency=medium

  * New upstream version 5.5.21.
  * debian/copyright: updated.
  * debian/libdtkgui5.shlibs: update to version 5.5.21.

 -- Clay Stan <claystan97@gmail.com>  Mon, 21 Feb 2022 15:37:47 +0800

dtkgui (5.5.17.1-1) unstable; urgency=medium

  * New upstream version 5.5.17.1.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Nov 2021 15:11:05 -0500

dtkgui (5.5.17-1~exp1) experimental; urgency=medium

  [ Clay Stan ]
  * add missing depends.

  [ Boyuan Yang ]
  * New upstream version 5.5.17. (Closes: #993175)
  * debian/libdtkgui5.symbols: Dropped, use shlibs file instead.
  * debian/control: Bump Standards-Version to 4.6.0.

 -- Boyuan Yang <byang@debian.org>  Sun, 07 Nov 2021 15:02:51 -0500

dtkgui (5.4.0-1~exp1) experimental; urgency=medium

  [ Clay Stan ]
  * New upstream release 5.4.0.

  [ Hu Feng ]
  * debian/patches:
    + Add 0002-fix-enable-style-for-no-dde.patch
  * debian/libdtkgui5.shlibs
    + Change libdtkgui 5 libdtkgui5 (>= 5.4.0)
  * debian/control:
    + Tighten version of libdtkcore-dev to (>= 5.4~)

 -- Hu Feng <hufeng@uniontech.com>  Thu, 25 Feb 2021 13:56:50 +0800
