## dtkgui 5.5.22

=== debian/changelog ===
dtkgui (5.5.22-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Sat, 07 May 2022 16:51:52 +0800
