## dtkgui 5.5.24

=== debian/changelog ===
dtkgui (5.5.24-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 16 Jun 2022 10:46:11 +0800
