## dtkgui 5.5.25

=== debian/changelog ===
dtkgui (5.5.25-2build4) noble; urgency=medium

  * No-change rebuild against Qt 5.15.13.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 04 Apr 2024 00:24:40 +0300

dtkgui (5.5.25-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:05:06 +0000

dtkgui (5.5.25-2build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:16:44 +0000

dtkgui (5.5.25-2build1) noble; urgency=medium

  * No-change rebuild against Qt 5.15.12.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 29 Dec 2023 00:06:49 +0300

dtkgui (5.5.25-2) unstable; urgency=medium

  * debian/clean: Clean generated files. (Closes: #1044740)
  * debian/control:
    + Update my email to debian.
    + Update Vcs-Git with debian/sid

 -- Arun Kumar Pariyar <arun@debian.org>  Mon, 04 Sep 2023 16:18:11 +0530

dtkgui (5.5.25-1) unstable; urgency=medium

  * New upstream release 5.5.25.
  * debian/libdtkgui5.shlibs: update to version 5.5.25.
  * debian/control: Bump Standards-Version to 4.6.1.0.

 -- Clay Stan <claystan97@gmail.com>  Tue, 02 Aug 2022 13:27:21 +0800
