=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: dtkgui
 Section: libs
 Priority: optional
-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
- Arun Kumar Pariyar <openarungeek@gmail.com>,
+ Arun Kumar Pariyar <arun@debian.org>,
  Hu Feng <hufeng@uniontech.com>,
  Clay Stan <claystan97@gmail.com>,
 Build-Depends:
@@ -17,9 +18,9 @@
  libgtest-dev,
  libgmock-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/linuxdeepin/dtkgui
-Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtkgui.git
+Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtkgui.git -b debian/sid
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtkgui
 
 Package: libdtkgui-dev
