## dtkgui 5.5.26

=== debian/changelog ===
dtkgui (5.5.26-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 13 Oct 2022 15:00:14 +0800
