## dtkgui 5.6.1.1

=== debian/changelog ===
dtkgui (5.6.1.1-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 11 Nov 2022 18:12:07 +0800

dtkgui (5.6.1.1) unstable; urgency=medium

  * snipe release 5.6.1.1

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 22 Jun 2022 14:33:59 +0800

dtkgui (5.6.0.1) unstable; urgency=medium

  * Release 5.6.0.1

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 14 Jun 2022 10:51:30 +0800
