## dtkgui 5.6.2.2

=== debian/changelog ===
dtkgui (5.6.2.2-2) unstable; urgency=medium

  * debian/rules: Set DDTK_DISABLE_LIBXDG to ON.
  * debian/control:
    + Drop libqt5xdg-dev, libqt5xdgiconloader-dev from B-D.

 -- Arun Kumar Pariyar <arun@debian.org>  Sun, 22 Dec 2024 22:51:15 +0545

dtkgui (5.6.2.2-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Fri, 06 Dec 2024 14:32:01 -0500

dtkgui (5.6.2.2-1~exp1) experimental; urgency=medium

  * New upstream release 5.6.2.2.
  * debian/control: Migrate to cmake.
  * debian/rules: Migrate to cmake.
  * debian/libdtkgui5.shlibs: update to version 5.6.2.

 -- Boyuan Yang <byang@debian.org>  Sat, 03 Dec 2022 10:39:58 -0500
