=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export QT_SELECT := 5

# Explicitly enable hardening
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/architecture.mk

# Retrieve version info
include /usr/share/dpkg/default.mk


%:
	dh $@

# FIXME: Enable doc building
override_dh_auto_configure:
	dh_auto_configure -- \
	        -DBUILD_TESTING=OFF \
            -DBUILD_DOCS=OFF \
			-DDTK_DISABLE_LIBXDG=ON \
            -DDVERSION=$(DEB_VERSION_UPSTREAM) \
            $(NULL)
