=== debian/changelog ===
dtkgui (5.6.2.2+1-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Sat, 03 Dec 2022 15:23:24 +0800

dtkgui (5.6.2.2) unstable; urgency=medium

  * Release 5.6.2.2

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 30 Nov 2022 10:32:07 +0800
