=== debian/changelog ===
dtkgui (5.6.2.2+2-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 07 Dec 2022 16:46:48 +0800
