=== debian/control ===
Source: dtkgui
Section: libdevel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 9), pkg-config, 
 qtbase5-private-dev, qtbase5-dev-tools, doxygen, qttools5-dev-tools,
 libdtkcore-dev, librsvg2-dev, libgtest-dev, libgmock-dev,
 libqt5xdg-dev, libqt5xdgiconloader-dev, cmake
Standards-Version: 3.9.8

Package: libdtkgui5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdtkcommon,
 qt5-image-formats-plugins
Multi-Arch: same
Description: Deepin Tool Kit Gui library
 DtkGui is base library of Deepin Qt/C++ applications.
 .
 This package contains the shared libraries.

Package: libdtkgui5-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libdtkgui5( =${binary:Version})
Description: Deepin Tool Kit Gui Utilities
 DtkGui is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the utilities of DtkGui

Package: libdtkgui-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdtkgui5( =${binary:Version})
Description: Deepin Tool Kit Gui Devel library
 DtkGui is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the header files and static libraries of DtkGui

Package: libdtkgui-doc
Architecture: any
Description: Deepin Tool Kit Gui (Document)
 DtkGui is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the qt Document of DtkGui
