## dtkgui 5.6.4

=== docs/CMakeLists.txt ===
--- 
+++ 
@@ -21,15 +21,21 @@
 
 set (DOXYGEN_PREDEFINED
     "D_DECL_DEPRECATED_X(x)="
-    "\"DCORE_BEGIN_NAMESPACE=namespace Dtk { namespace Core {\""
-    "\"DCORE_END_NAMESPACE=}}\""
-    "\"DCORE_USE_NAMESPACE=using namespace Dtk::Core\;\""
-    "\"DGUI_BEGIN_NAMESPACE=namespace Dtk { namespace Gui {\""
-    "\"DGUI_END_NAMESPACE=}}\""
-    "\"DGUI_USE_NAMESPACE=using namespace Dtk::Gui\;\""
+    "DCORE_BEGIN_NAMESPACE=namespace Dtk { namespace Core {"
+    "DCORE_END_NAMESPACE=}}"
+    "DCORE_USE_NAMESPACE=using namespace Dtk::Core\;"
+    "DGUI_BEGIN_NAMESPACE=namespace Dtk { namespace Gui {"
+    "DGUI_END_NAMESPACE=}}"
+    "DGUI_USE_NAMESPACE=using namespace Dtk::Gui\;"
 )
 set (DOXYGEN_MACRO_EXPANSION "YES")
 set (DOXYGEN_EXPAND_ONLY_PREDEF "YES")
+
+# Exclude private classes.
+set (DOXYGEN_EXCLUDE_PATTERNS 
+    ${PROJECT_SOURCE_DIR}/src/util/private/dimagehandlerlibs_p.h
+    ${PROJECT_SOURCE_DIR}/src/util/dimagehandlerlibs.cpp
+    )
 
 doxygen_add_docs (doxygen
     ${PROJECT_SOURCE_DIR}/src
