=== examples/CMakeLists.txt ===
add_subdirectory(dnd-example)
add_subdirectory(test-taskbar)
add_subdirectory(imagehandler-example)
#add_subdirectory(frameless-window) # Don't build
