=== debian/changelog ===
dtkgui (5.6.4.1-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 21 Sep 2023 08:57:27 +0800
